> For the complete documentation index, see [llms.txt](https://docs.gitlanding.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gitlanding.dev/v0/favicon-and-meta-tags.md).

# Favicon and Meta Tags

### For changing the favicon (the little logo in your browser tab)

1. Navigate to [realfavicongenerator.net](https://realfavicongenerator.net/) and upload your image.
2. In the options set a [custom path](https://user-images.githubusercontent.com/6702424/137597391-1d0d5b26-0f5b-4d8d-8d29-46d874c4f4e0.png): `%PUBLIC_URL%/favicon`
3. insert [the code generated for you](https://user-images.githubusercontent.com/6702424/137597436-4f85641e-16a3-4cb9-8c4f-5fd4baf8effc.png) in the `<head>` of your `public/index.html` file
4. Create the `public/favicon` directory and extract the zip from there.

### Adding Meta Tags

1. Create the public/preview.(png | jpg) image from [this template](https://user-images.githubusercontent.com/6702424/80216211-00ef5280-863e-11ea-81de-59f3a3d4b8e4.png).
2. Consult [this commit ](https://github.com/thieryw/crispy-octo-bassoon/commit/02c52f0477e0348339ac6d4d2b434a6bde2711cc)to view the code to add in the `<head>` of your `public/index.html` file.

{% hint style="info" %}
You can use [metatags.io](https://metatags.io/) to generate your metatags but you must change the default url they provide to `%PUBLIC_URL%`.
{% endhint %}

![Here is an example when I send my example project link via Whatsapp](/files/fUbvpfgnsIv71MTMk2Yh)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.gitlanding.dev/v0/favicon-and-meta-tags.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
